在SSH框架整合时,spring框架问题

J2EE 码拜 5年前 (2015-04-23) 256次浏览 0个评论

spring在配置声明式事务的时候 必须额外加入aspectjweaver.jar包吗?spring3.0以后的官方框架就不在放入所需的依赖包了吗,如果说在Struts2的lib里面找 也没有需要整合的依赖aspectjweaber.jar包,那么spring3.0以上整合所需的依赖包在官方怎么找?除maven工程外。(背景:指整合Struts2.3.X,hibernate4.X,spring4.X 这些框架版本)

在SSH框架整合时,spring框架问题
10分
都说了不再集成到Spring了,那么官网自然就没有了,不用maven,那么你就需要自己去下载aspectjweaver.jar。如果你不知道需要依赖那些jar包,那么你就先用Spring官网提供的jar包把环境配置好,然后启动项目,通过查看控制台报出的异常就可以知道有哪些包没有引入了
在SSH框架整合时,spring框架问题
10分
http://zhidao.baidu.com/link?url=nvhWwriljcKi5WIRPTsBfolRmyo646p0PB4aMRtfxiPcBJ0OH8DIce1RqOafe91BOJOBsGVzumsvQEKcr0fyW8TQuOror5AaA_ff4w_9fUC
在SSH框架整合时,spring框架问题
引用 1 楼 crazypandariy 的回复:

都说了不再集成到Spring了,那么官网自然就没有了,不用maven,那么你就需要自己去下载aspectjweaver.jar。如果你不知道需要依赖那些jar包,那么你就先用Spring官网提供的jar包把环境配置好,然后启动项目,通过查看控制台报出的异常就可以知道有哪些包没有引入了

只能这样了


CodeBye 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明在SSH框架整合时,spring框架问题
喜欢 (0)
[1034331897@qq.com]
分享 (0)

文章评论已关闭!